	function checkSnilsStr(snils) {
		if (snils.length == 11) {
			var csum = snils.substring(9);
			var prefixSnils = snils.substring(0, 9);
			if (prefixSnils > 1001998) {
				var countCsum = 0;
				for (var i = 0; i<9; i++ ) {
					countCsum += prefixSnils.charAt(i) * (9 - i);
				}
				if (countCsum < 100) {
				} else if (countCsum > 101) {
					countCsum = countCsum % 101;
					if (countCsum > 99) countCsum = 0;
				} else {
					countCsum = 0;
				}
				if (countCsum == csum) {
					return 1;
				} else {
					return -1;
				}
			}
		}
		return 0;
	}

	function checkSnilZnull(value, constr) {
            var ret = checkSnilZ(value, constr);
            if (!ret && value.length == 0) {
                ret = true;
            }
            console.log("checkSnilZnull>"+value);
            return ret;
        }
	function checkSnilZ(value, constr) {
//		console.log('--------'+value+":"+dojo.toJson(constr)+":"+constr.id+":"+constr.constraints);
		var inpObj = dijit.byId(constr.id);
		if (inpObj) {
			var str = value.replace(/\s/g,"");
			str = str.replace(/-/g,"");
			if (str.match(/^[0-9]{0,11}$/)) {
				var formattedStr = "";
				{
					var i = 0;
					do {
						formattedStr += str.charAt(i);
						i++;
						if (i >= str.length) {
							break;
						}
						if ( i%3 == 0 ) {
							if ( i < 7 ) {
								formattedStr += "-";
							} else {
								formattedStr += " ";
							}
						}
					} while(true);
				
				}
				
				if (value!=formattedStr) {
					inpObj.set('value',formattedStr);
				}
                                var chSnils = checkSnilsStr(str);
                                
                                var msgDiv = dojo.byId("_div_filterMessaging");
                                if (msgDiv) {
                                    msgDiv.innerHTML = "";
                                    if (chSnils > 0) {
                                        msgDiv.innerHTML = "<table border=0 style='margin-top:-20px !important;margin-left: 10px !important;' ><tr><td><div align='middle' id='snils_check_ok'/></td><td><div style='padding-top: 5px !important;'>СНИЛС корректен</div></td></tr></table>";
                                    } else if (chSnils < 0) {
                                        msgDiv.innerHTML = "<table border=0 style='margin-top:-20px !important;margin-left: 10px !important;' ><tr><td><div align='middle' id='snils_check_nok'/></td><td><div style='padding-top: 5px !important;'>СНИЛС некорректен</div></td></tr></table>";
                                    }
                                }
	
        			if (str.length < 7) {
                                    return false;
                                }

				if (chSnils < 0) {
					return false;
				}
				return true;
			}
		}
		return false;
	}
	
	function checkSnilS(value, constr) {
//		console.log('--------'+value+":"+dojo.toJson(constr)+":"+constr.id+":"+constr.constraints);
		var inpObj = dijit.byId(constr.id);
		if (inpObj) {
			var str = value.replace(/\s/g,"");
			str = str.replace(/-/g,"");
			if (str.match(/^[0-9]{0,11}$/)) {
				var formattedStr = "";
				{
					var i = 0;
					do {
						formattedStr += str.charAt(i);
						i++;
						if (i >= str.length) {
							break;
						}
						if ( i%3 == 0 ) {
							if ( i < 7 ) {
								formattedStr += "-";
							} else {
								formattedStr += " ";
							}
						}
					} while(true);
				
				}
				
				if (value!=formattedStr) {
					inpObj.set('value',formattedStr);
				}
                                var chSnils = checkSnilsStr(str);
                                
        			if (str.length < 7) {
                                    return false;
                                }

				if (chSnils < 0) {
					return false;
				}
				return true;
			}
		}
		return false;
	}
	
